Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

# Class DocumentLineIdentification1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_09.DocumentLineIdentification1

public class DocumentLineIdentification1 extends Object

Java class for DocumentLineIdentification1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DocumentLineIdentification1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}DocumentLineType1" minOccurs="0"/>
             <element name="Nb" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max35Text" minOccurs="0"/>
             <element name="RltdDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ISODate" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`nb`
`protected XMLGregorianCalendar`
`rltdDt`
`protected DocumentLineType1`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`DocumentLineIdentification1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNb()`
Gets the value of the nb property.
`XMLGregorianCalendar`
`getRltdDt()`
Gets the value of the rltdDt property.
`DocumentLineType1`
`getTp()`
Gets the value of the tp property.
`void`
`setNb(String value)`
Sets the value of the nb property.
`void`
`setRltdDt(XMLGregorianCalendar value)`
Sets the value of the rltdDt property.
`void`
`setTp(DocumentLineType1 value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected DocumentLineType1 tp

### nb

protected String nb

### rltdDt

protected XMLGregorianCalendar rltdDt

## Constructor Details

### DocumentLineIdentification1

public DocumentLineIdentification1()

## Method Details

### getTp

public DocumentLineType1 getTp()
Gets the value of the tp property.

Returns:
  possible object is `DocumentLineType1`

### setTp

public void setTp(DocumentLineType1 value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `DocumentLineType1`

### getNb

public String getNb()
Gets the value of the nb property.

Returns:
  possible object is `String`

### setNb

public void setNb(String value)
Sets the value of the nb property.

Parameters:
  `value` - allowed object is `String`

### getRltdDt

public XMLGregorianCalendar getRltdDt()
Gets the value of the rltdDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setRltdDt

public void setRltdDt(XMLGregorianCalendar value)
Sets the value of the rltdDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`